Bug 6666 - NT 4.0 systems can't connect to samba server after upgrade from samba 3.3.0 to 3.4.0
NT 4.0 systems can't connect to samba server after upgrade from samba 3.3.0 t...
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.0
PPC Windows NT
: P3 major
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-27 12:52 UTC by Mike Christensen
Modified: 2009-09-02 09:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Christensen 2009-08-27 12:52:33 UTC
Samba 3.4.0 is running on AIX 6.1.  When running samba 3.3.0 the NT4 clients were able to connect.  After the upgrade to 3.4.0 the NT 4 clients can no longer connect.

On the NT 4 system when I run \\<sambaserver> I get the following error:

"The specified server cannot perform the requested operation."

Here's the smb.conf file:

[global]
workgroup = ENGINEERING
realm = ENGINEERING.LOCAL
preferred master = no
server string = cmlib file server samba version %v
security = ADS
wins server = 9.39.32.100
netbios name = cmlib
netbios aliases = tree0 nfsdepot01 cmdepot
encrypt passwords = yes
log level = 10
log file = /var/log/samba/%m
max log size = 50
debug timestamp = yes
winbind separator = /
idmap uid = 10000-20000
idmap gid = 10000-20000
create mask = 0664
security mask = 0664
directory mask = 0775
directory security mask = 0775
force create mode = 0664
force directory mode = 0775
force group = "engusers"
time server = yes
guest account = nobody
invalid users = root,daemon,bin,sys,adm,uucp,nuucp,lpd,imnadm,ipsec,lp,snapp,inv
scout
lanman auth = yes


Here's the log level 10 for the client:

  sid S-1-5-21-805292615-970268406-1251519952-9182 -> gid 10034
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-8351, value = 10035, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-8351 -> gid 10035
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9222, value = 10036, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9222 -> gid 10036
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-4864, value = 10080, timeout = Wed Sep  2 02:25:54 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-4864 -> gid 10080
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-8413, value = 10037, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-8413 -> gid 10037
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9188, value = 10038, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9188 -> gid 10038
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9240, value = 10081, timeout = Wed Sep  2 02:25:54 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9240 -> gid 10081
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-4109, value = 10082, timeout = Wed Sep  2 02:25:54 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-4109 -> gid 10082
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9167, value = 10040, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9167 -> gid 10040
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-8257, value = 10041, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-8257 -> gid 10041
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9263, value = 10042, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9263 -> gid 10042
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-4127, value = 10083, timeout = Wed Sep  2 02:25:54 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-4127 -> gid 10083
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-4865, value = 10084, timeout = Wed Sep  2 02:25:54 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-4865 -> gid 10084
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-8417, value = 10043, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-8417 -> gid 10043
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-8425, value = 10044, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-8425 -> gid 10044
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9256, value = 10045, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9256 -> gid 10045
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9170, value = 10046, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9170 -> gid 10046
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9271, value = 10047, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9271 -> gid 10047
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-8419, value = 10048, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-8419 -> gid 10048
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-8411, value = 10049, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-8411 -> gid 10049
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-2008, value = 10092, timeout = Wed Sep  2 02:25:54 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-2008 -> gid 10092
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9265, value = 10050, timeout = Wed Sep  2 02:14:16 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9265 -> gid 10050
[2009/08/27 10:37:28, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-21-805292615-970268406-1251519952-9242, value = 10085, timeout = Wed Sep  2 02:25:54 2009
[2009/08/27 10:37:28, 10] passdb/lookup_sid.c:1509(sid_to_gid)
  sid S-1-5-21-805292615-970268406-1251519952-9242 -> gid 10085
[2009/08/27 10:37:28, 10] auth/token_util.c:528(debug_nt_user_token)
  NT user token of user S-1-5-21-805292615-970268406-1251519952-500
  contains 134 SIDs
  SID[  0]: S-1-5-21-805292615-970268406-1251519952-500
  SID[  1]: S-1-5-21-805292615-970268406-1251519952-513
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
  SID[  5]: S-1-5-21-805292615-970268406-1251519952-520
  SID[  6]: S-1-5-21-805292615-970268406-1251519952-3340
  SID[  7]: S-1-5-21-805292615-970268406-1251519952-8393
  SID[  8]: S-1-5-21-805292615-970268406-1251519952-3342
  SID[  9]: S-1-5-21-805292615-970268406-1251519952-3327
  SID[ 10]: S-1-5-21-805292615-970268406-1251519952-3321
  SID[ 11]: S-1-5-21-805292615-970268406-1251519952-8168
  SID[ 12]: S-1-5-21-805292615-970268406-1251519952-512
  SID[ 13]: S-1-5-21-805292615-970268406-1251519952-518
  SID[ 14]: S-1-5-21-805292615-970268406-1251519952-519
  SID[ 15]: S-1-5-21-805292615-970268406-1251519952-3347
  SID[ 16]: S-1-5-21-805292615-970268406-1251519952-9176
  SID[ 17]: S-1-5-21-805292615-970268406-1251519952-4861
  SID[ 18]: S-1-5-21-805292615-970268406-1251519952-8434
  SID[ 19]: S-1-5-21-805292615-970268406-1251519952-8335
  SID[ 20]: S-1-5-21-805292615-970268406-1251519952-8325
  SID[ 21]: S-1-5-21-805292615-970268406-1251519952-9239
  SID[ 22]: S-1-5-21-805292615-970268406-1251519952-8280
  SID[ 23]: S-1-5-21-805292615-970268406-1251519952-4205
  SID[ 24]: S-1-5-21-805292615-970268406-1251519952-8408
  SID[ 25]: S-1-5-21-805292615-970268406-1251519952-8436
  SID[ 26]: S-1-5-21-805292615-970268406-1251519952-8279
  SID[ 27]: S-1-5-21-805292615-970268406-1251519952-9180
  SID[ 28]: S-1-5-21-805292615-970268406-1251519952-9298
  SID[ 29]: S-1-5-21-805292615-970268406-1251519952-9190
  SID[ 30]: S-1-5-21-805292615-970268406-1251519952-8334
  SID[ 31]: S-1-5-21-805292615-970268406-1251519952-8404
  SID[ 32]: S-1-5-21-805292615-970268406-1251519952-9172
  SID[ 33]: S-1-5-21-805292615-970268406-1251519952-8433
  SID[ 34]: S-1-5-21-805292615-970268406-1251519952-9241
  SID[ 35]: S-1-5-21-805292615-970268406-1251519952-8406
  SID[ 36]: S-1-5-21-805292615-970268406-1251519952-9186
  SID[ 37]: S-1-5-21-805292615-970268406-1251519952-8421
  SID[ 38]: S-1-5-21-805292615-970268406-1251519952-2000
  SID[ 39]: S-1-5-21-805292615-970268406-1251519952-8415
  SID[ 40]: S-1-5-21-805292615-970268406-1251519952-9173
  SID[ 41]: S-1-5-21-805292615-970268406-1251519952-9270
  SID[ 42]: S-1-5-21-805292615-970268406-1251519952-8423
  SID[ 43]: S-1-5-21-805292615-970268406-1251519952-4600
  SID[ 44]: S-1-5-21-805292615-970268406-1251519952-9182
  SID[ 45]: S-1-5-21-805292615-970268406-1251519952-8351
  SID[ 46]: S-1-5-21-805292615-970268406-1251519952-9222
  SID[ 47]: S-1-5-21-805292615-970268406-1251519952-4864
  SID[ 48]: S-1-5-21-805292615-970268406-1251519952-8413
  SID[ 49]: S-1-5-21-805292615-970268406-1251519952-9188
  SID[ 50]: S-1-5-21-805292615-970268406-1251519952-9240
  SID[ 51]: S-1-5-21-805292615-970268406-1251519952-4109
  SID[ 52]: S-1-5-21-805292615-970268406-1251519952-9167
  SID[ 53]: S-1-5-21-805292615-970268406-1251519952-8257
  SID[ 54]: S-1-5-21-805292615-970268406-1251519952-9263
  SID[ 55]: S-1-5-21-805292615-970268406-1251519952-4127
  SID[ 56]: S-1-5-21-805292615-970268406-1251519952-4865
  SID[ 57]: S-1-5-21-805292615-970268406-1251519952-8417
  SID[ 58]: S-1-5-21-805292615-970268406-1251519952-8425
  SID[ 59]: S-1-5-21-805292615-970268406-1251519952-9256
  SID[ 60]: S-1-5-21-805292615-970268406-1251519952-9170
  SID[ 61]: S-1-5-21-805292615-970268406-1251519952-9271
  SID[ 62]: S-1-5-21-805292615-970268406-1251519952-8419
  SID[ 63]: S-1-5-21-805292615-970268406-1251519952-8411
  SID[ 64]: S-1-5-21-805292615-970268406-1251519952-2008
  SID[ 65]: S-1-5-21-805292615-970268406-1251519952-9265
  SID[ 66]: S-1-5-21-805292615-970268406-1251519952-9242
  SID[ 67]: S-1-22-1-10006
  SID[ 68]: S-1-22-2-10003
  SID[ 69]: S-1-22-2-10004
  SID[ 70]: S-1-22-2-10005
  SID[ 71]: S-1-22-2-10006
  SID[ 72]: S-1-22-2-10063
  SID[ 73]: S-1-22-2-10064
  SID[ 74]: S-1-22-2-10065
  SID[ 75]: S-1-22-2-10066
  SID[ 76]: S-1-22-2-10067
  SID[ 77]: S-1-22-2-10068
  SID[ 78]: S-1-22-2-10483
  SID[ 79]: S-1-22-2-10069
  SID[ 80]: S-1-22-2-10070
  SID[ 81]: S-1-22-2-10071
  SID[ 82]: S-1-22-2-10072
  SID[ 83]: S-1-22-2-10007
  SID[ 84]: S-1-22-2-10073
  SID[ 85]: S-1-22-2-10074
  SID[ 86]: S-1-22-2-10009
  SID[ 87]: S-1-22-2-10013
  SID[ 88]: S-1-22-2-10015
  SID[ 89]: S-1-22-2-10016
  SID[ 90]: S-1-22-2-10075
  SID[ 91]: S-1-22-2-10017
  SID[ 92]: S-1-22-2-10018
  SID[ 93]: S-1-22-2-10020
  SID[ 94]: S-1-22-2-10021
  SID[ 95]: S-1-22-2-10022
  SID[ 96]: S-1-22-2-10023
  SID[ 97]: S-1-22-2-10024
  SID[ 98]: S-1-22-2-10025
  SID[ 99]: S-1-22-2-10076
  SID[100]: S-1-22-2-10026
  SID[101]: S-1-22-2-10027
  SID[102]: S-1-22-2-10028
  SID[103]: S-1-22-2-10029
  SID[104]: S-1-22-2-10030
  SID[105]: S-1-22-2-10077
  SID[106]: S-1-22-2-10031
  SID[107]: S-1-22-2-10078
  SID[108]: S-1-22-2-10032
  SID[109]: S-1-22-2-10033
  SID[110]: S-1-22-2-10079
  SID[111]: S-1-22-2-10034
  SID[112]: S-1-22-2-10035
  SID[113]: S-1-22-2-10036
  SID[114]: S-1-22-2-10080
  SID[115]: S-1-22-2-10037
  SID[116]: S-1-22-2-10038
  SID[117]: S-1-22-2-10081
  SID[118]: S-1-22-2-10082
  SID[119]: S-1-22-2-10040
  SID[120]: S-1-22-2-10041
  SID[121]: S-1-22-2-10042
  SID[122]: S-1-22-2-10083
  SID[123]: S-1-22-2-10084
  SID[124]: S-1-22-2-10043
  SID[125]: S-1-22-2-10044
  SID[126]: S-1-22-2-10045
  SID[127]: S-1-22-2-10046
  SID[128]: S-1-22-2-10047
  SID[129]: S-1-22-2-10048
  SID[130]: S-1-22-2-10049
  SID[131]: S-1-22-2-10092
  SID[132]: S-1-22-2-10050
  SID[133]: S-1-22-2-10085
  SE_PRIV  0x0 0x0 0x0 0x0
[2009/08/27 10:37:28, 10] auth/token_util.c:548(debug_unix_user_token)
  UNIX token of user 10006
  Primary group is 10003 and contains 66 supplementary groups
  Group[  0]: 10003
  Group[  1]: 10004
  Group[  2]: 10005
  Group[  3]: 10006
  Group[  4]: 10063
  Group[  5]: 10064
  Group[  6]: 10065
  Group[  7]: 10066
  Group[  8]: 10067
  Group[  9]: 10068
  Group[ 10]: 10483
  Group[ 11]: 10069
  Group[ 12]: 10070
  Group[ 13]: 10071
  Group[ 14]: 10072
  Group[ 15]: 10007
  Group[ 16]: 10073
  Group[ 17]: 10074
  Group[ 18]: 10009
  Group[ 19]: 10013
  Group[ 20]: 10015
  Group[ 21]: 10016
  Group[ 22]: 10075
  Group[ 23]: 10017
  Group[ 24]: 10018
  Group[ 25]: 10020
  Group[ 26]: 10021
  Group[ 27]: 10022
  Group[ 28]: 10023
  Group[ 29]: 10024
  Group[ 30]: 10025
  Group[ 31]: 10076
  Group[ 32]: 10026
  Group[ 33]: 10027
  Group[ 34]: 10028
  Group[ 35]: 10029
  Group[ 36]: 10030
  Group[ 37]: 10077
  Group[ 38]: 10031
  Group[ 39]: 10078
  Group[ 40]: 10032
  Group[ 41]: 10033
  Group[ 42]: 10079
  Group[ 43]: 10034
  Group[ 44]: 10035
  Group[ 45]: 10036
  Group[ 46]: 10080
  Group[ 47]: 10037
  Group[ 48]: 10038
  Group[ 49]: 10081
  Group[ 50]: 10082
  Group[ 51]: 10040
  Group[ 52]: 10041
  Group[ 53]: 10042
  Group[ 54]: 10083
  Group[ 55]: 10084
  Group[ 56]: 10043
  Group[ 57]: 10044
  Group[ 58]: 10045
  Group[ 59]: 10046
  Group[ 60]: 10047
  Group[ 61]: 10048
  Group[ 62]: 10049
  Group[ 63]: 10092
  Group[ 64]: 10050
  Group[ 65]: 10085
[2009/08/27 10:37:28, 10] smbd/password.c:172(register_initial_vuid)
  register_initial_vuid: allocated vuid = 100
[2009/08/27 10:37:28, 10] smbd/password.c:265(register_existing_vuid)
  register_existing_vuid: (10006,10003) ENGINEERING/administrator Administrator ENGINEERING guest=0
[2009/08/27 10:37:28,  3] smbd/password.c:269(register_existing_vuid)
  register_existing_vuid: User name: ENGINEERING/administrator	Real name: 
[2009/08/27 10:37:28,  3] smbd/password.c:279(register_existing_vuid)
  register_existing_vuid: UNIX uid 10006 is UNIX user ENGINEERING/administrator, and will be vuid 100
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:100(db_tdb_fetch_locked)
  Locking key 49442F34303739383134
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:129(db_tdb_fetch_locked)
  Allocated locked data 0x200f83a8
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:42(db_tdb_record_destr)
  Unlocking key 49442F34303739383134
[2009/08/27 10:37:28,  7] param/loadparm.c:9251(lp_servicenumber)
  lp_servicenumber: couldn't find ENGINEERING/administrator
[2009/08/27 10:37:28,  3] smbd/password.c:211(register_homes_share)
  Adding homes service for user 'ENGINEERING/administrator' using home directory: '/home/ENGINEERING/administrator'
[2009/08/27 10:37:28,  7] param/loadparm.c:9251(lp_servicenumber)
  lp_servicenumber: couldn't find homes
[2009/08/27 10:37:28,  6] param/loadparm.c:6989(lp_file_list_changed)
  lp_file_list_changed()
  file /etc/smb.conf -> /etc/smb.conf  last mod_time: Thu Aug 27 10:37:03 2009
  
[2009/08/27 10:37:28,  3] smbd/process.c:1251(switch_message)
  switch message SMBtconX (pid 4079814) conn 0x0
[2009/08/27 10:37:28,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2009/08/27 10:37:28,  5] auth/token_util.c:522(debug_nt_user_token)
  NT user token: (NULL)
[2009/08/27 10:37:28,  5] auth/token_util.c:548(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2009/08/27 10:37:28,  5] smbd/uid.c:368(change_to_root_user)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2009/08/27 10:37:28,  4] smbd/reply.c:675(reply_tcon_and_X)
  Client requested device type [?????] for share [IPC$]
[2009/08/27 10:37:28,  1] smbd/service.c:1106(make_connection)
  make_connection: refusing to connect with no session setup
[2009/08/27 10:37:28,  3] smbd/error.c:60(error_packet_set)
  error packet at smbd/reply.c(684) cmd=117 (SMBtconX) NT_STATUS_ACCESS_DENIED
[2009/08/27 10:37:28,  5] lib/util.c:632(show_msg)
[2009/08/27 10:37:28,  5] lib/util.c:642(show_msg)
  size=103
  smb_com=0x73
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=49153
  smb_tid=0
  smb_pid=51966
  smb_uid=100
  smb_mid=0
  smt_wct=3
  smb_vwv[ 0]=  117 (0x75)
  smb_vwv[ 1]=  100 (0x64)
  smb_vwv[ 2]=    0 (0x0)
  smb_bcc=59
[2009/08/27 10:37:28, 10] ../lib/util/util.c:304(_dump_data)
  [0000] 00 55 00 6E 00 69 00 78   00 00 00 53 00 61 00 6D   .U.n.i.x ...S.a.m
  [0010] 00 62 00 61 00 20 00 33   00 2E 00 34 00 2E 00 30   .b.a. .3 ...4...0
  [0020] 00 00 00 45 00 4E 00 47   00 49 00 4E 00 45 00 45   ...E.N.G .I.N.E.E
  [0030] 00 52 00 49 00 4E 00 47   00 00 00                 .R.I.N.G ...
[2009/08/27 10:37:28,  5] lib/util_sock.c:526(read_socket_with_timeout)
  read_socket_with_timeout: blocking read. EOF from client.
[2009/08/27 10:37:28, 10] smbd/process.c:271(receive_smb_raw_talloc)
  receive_smb_raw: NT_STATUS_END_OF_FILE
[2009/08/27 10:37:28,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2009/08/27 10:37:28,  5] auth/token_util.c:522(debug_nt_user_token)
  NT user token: (NULL)
[2009/08/27 10:37:28,  5] auth/token_util.c:548(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2009/08/27 10:37:28,  5] smbd/uid.c:368(change_to_root_user)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:100(db_tdb_fetch_locked)
  Locking key 49442F34303739383134
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:129(db_tdb_fetch_locked)
  Allocated locked data 0x2015d218
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:42(db_tdb_record_destr)
  Unlocking key 49442F34303739383134
[2009/08/27 10:37:28,  3] smbd/connection.c:31(yield_connection)
  Yielding connection to 
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:100(db_tdb_fetch_locked)
  Locking key 003E40C6FFFFFFFFFFFF
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:129(db_tdb_fetch_locked)
  Allocated locked data 0x200f85f8
[2009/08/27 10:37:28, 10] lib/dbwrap_tdb.c:42(db_tdb_record_destr)
  Unlocking key 003E40C6FFFFFFFFFFFF
[2009/08/27 10:37:28,  3] smbd/server.c:844(exit_server_common)
  Server exit (failed to receive smb request)
Comment 1 Volker Lendecke 2009-08-28 04:45:37 UTC
This looks *very* similar to bug #6551.

Can you try the patch in

https://bugzilla.samba.org/attachment.cgi?id=4427&action=view

please?

Thanks,

Volker
Comment 2 Guenther Deschner 2009-09-02 09:58:59 UTC
Ok, I verified this. in release-3-4-0 it fails, with v3-4-test this works. Closing as fixed (for 3.4.1).